function(indata, resp, pred, improveby = 2) {

    idp <- paste(pred, collapse = "+")

    fm <- formula(paste(resp, "~", idp, sep = ""))

    md <- multinom(fm, data = indata)

    saic <- md$AIC

    rvar <- c()

    for (i in seq(length(pred))) {

        trvar <- c(rvar, i)

        vr <- pred[-trvar]

        idp <- paste(vr, collapse = "+")

        fm <- formula(paste(resp, "~", idp, sep = ""))

        md2 <- multinom(fm, data = indata)

        tsaic <- md2$AIC

        print(tsaic)
        print(saic)

        if ((tsaic - saic) < improveby) {

            saic = tsaic

            md <- md2

            rvar <- c(rvar, i)

        }

    }

    return(list(pred[-rvar], md))

}